NPE when press Escape key in editing mode
05/15/2012 01:41 PM - Jose Manuel Vivó Arnal

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Vector editing
Target version: 2.0.0-devel-2050
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2046 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Tools: Geometry editing (org.gvsig.editing)
Description

NullPointerException when editing a layer. Follow this steps:

    1. Open a view with a shape.
    2. Set selection to none.
    3. Start editing mode on shape layer
    4. Press Esc

A NPE will be throw. This is the stack trace:

ERROR [AWT-EventQueue-1] (NotificationManager.java:107) - java.lang.NullPointerException
java.lang.NullPointerException
    at
org.gvsig.fmap.dal.feature.impl.DefaultFeatureReferenceSelection.getCommands(DefaultFeatureReferenceSelection.java:347)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureReferenceSelection.deselectAll(DefaultFeatureReferenceSelection.java:224
)
    at
org.gvsig.fmap.dal.feature.impl.DefaultFeatureReferenceSelection.deselectAll(DefaultFeatureReferenceSelection.java:224)
    at
org.gvsig.fmap.dal.feature.impl.DefaultFeatureReferenceSelection.deselectAll(DefaultFeatureReferenceSelection.java:214)
    at org.gvsig.editing.layers.VectorialLayerEdited.clearSelection(VectorialLayerEdited.java:100)
    at org.gvsig.editing.gui.cad.CADToolAdapter.keyPressed(CADToolAdapter.java:1515)
    at org.gvsig.editing.CADExtension$myKeyEventPostProcessor.postProcessKeyEvent(CADExtension.java:391)

History
#1 - 05/30/2012 03:11 PM - Manuel Madrid
- Target version set to 2.0.0-rc1

#2 - 06/24/2012 09:46 PM - Joaquín  del Cerro Murciano
- Assignee set to Juan Lucas Domínguez
- Target version changed from 2.0.0-rc1 to 2.0.0-devel-2050

#3 - 06/26/2012 12:49 PM - Juan Lucas Domínguez
- Status changed from New to In progress
#4 - 06/26/2012 01:06 PM - Juan Lucas Domínguez
- Status changed from In progress to Fixed

This bug does not happen in build 2049. It was probably fixed by previous commit:

https://devel.gvsig.org/redmine/projects/gvsig-desktop/repository/revisions/38192

#5 - 08/29/2012 02:23 PM - Joaquín  del Cerro Murciano
- Status changed from Fixed to Closed
https://devel.gvsig.org/redmine/projects/gvsig-desktop/repository/revisions/38192

